OpenTTD Source: NetworkCoordinatorConnecter Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions
NetworkCoordinatorConnecter Class Reference

Connect to the Game Coordinator server. More...

Inheritance diagram for NetworkCoordinatorConnecter:

## Public Member Functions
| NetworkCoordinatorConnecter (const std::string &connection_string)
| Initiate the connecting.
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded.
Public Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16_t default_port, const NetworkAddress &bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address.
void | Kill ()
| Kill this connecter.

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.
template<class T , typename... Args>
static std::shared_ptr< TCPConnecter > | Create (Args &&... args)
| Create the connecter, and initiate connecting by putting it in the collection of TCP connections to make.

## Detailed Description

Connect to the Game Coordinator server.

Definition at line 103 of file network_coordinator.cpp.

## Constructor & Destructor Documentation

## ◆ NetworkCoordinatorConnecter()

NetworkCoordinatorConnecter::NetworkCoordinatorConnecter | ( | const std::string & | connection_string | ) |
| inline

Initiate the connecting.

Parameters

  connection_string | The address of the Game Coordinator server.

Definition at line 109 of file network_coordinator.cpp.

## Member Function Documentation

## ◆ OnConnect()

void NetworkCoordinatorConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 117 of file network_coordinator.cpp.

References _network_coordinator_client, ClientNetworkCoordinatorSocketHandler::connecting, ClientNetworkCoordinatorSocketHandler::last_activity, and NetworkTCPSocketHandler::sock.

## ◆ OnFailure()

void NetworkCoordinatorConnecter::OnFailure | ( |  | ) |
| inlineoverridevirtual

Callback for when the connection attempt failed.

Reimplemented from TCPConnecter.

Definition at line 111 of file network_coordinator.cpp.

References _network_coordinator_client, ClientNetworkCoordinatorSocketHandler::CloseConnection(), and ClientNetworkCoordinatorSocketHandler::connecting.

The documentation for this class was generated from the following file:

- src/network/network_coordinator.cpp